Jump to content

Welcome to Obsidian Forum Community
Register now to gain access to all of our features. Once registered and logged in, you will be able to create topics, post replies to existing threads, give reputation to your fellow members, get your own private messenger, post status updates, manage your profile and so much more. If you already have an account, login here - otherwise create an account for free today!
Photo

Do I need to update the Mods for 4.0?


  • Please log in to reply
8 replies to this topic

#1
zilbest

zilbest

    (2) Evoker

  • Members
  • 54 posts

Hey guys, I took a break from playing Deadfire since the first DLC (the Winter one) and before I was updating many mods to keep it playable. Do I need to update the mods again this time for 4.0? If so, what kind of mods need to be updated? All of them or just some? I remember I have to update subclasses and abilities mod from pre-2.0 and pos-2.0. 

I want to play again now that every premium DLC is out but I also want to play with some of the mods I previously used. Thank you for any kind of response...



#2
house2fly

house2fly

    (8) Warlock

  • Members
  • 1138 posts

I don't think 4.0 breaks much of anything, certainly nothing I've seen in any of the main mods. The mods you used may have been updated since you played last, though. I'd recommend going to the nexus and downloading the latest version, the site will show "update available" if a mod's been changed since you last downloaded it.



#3
zilbest

zilbest

    (2) Evoker

  • Members
  • 54 posts
Thanks for the answer. I already checked the nexus for the updated mod but it seems many of them haven't got updated after the release date of 4.0. just wondering if it's not updated or it doesn't need to be. Because i also upload my mod there and haven't got the time to update

#4
protopersona

protopersona

    (4) Theurgist

  • Members
  • 214 posts

Thanks for the answer. I already checked the nexus for the updated mod but it seems many of them haven't got updated after the release date of 4.0. just wondering if it's not updated or it doesn't need to be. Because i also upload my mod there and haven't got the time to update

Most of the mods on Nexus aren't updated because they don't need to be. Things in Deadfire are rather modular, and if something wasn't specifically tweaked it tends to stay working.



#5
NocturnalTrance

NocturnalTrance

    (3) Conjurer

  • Members
  • 112 posts
All Class mods had to be updated for 4.0, so probably only these ones you would have to get the updated versions of :p
  • zilbest likes this

#6
Harpagornis

Harpagornis

    (5) Thaumaturgist

  • Members
  • 528 posts

Class Mods had to be updated for 4.0? Have i missed something? Cause our Shifter Mod is still working without problems... :blink:



#7
NocturnalTrance

NocturnalTrance

    (3) Conjurer

  • Members
  • 112 posts
Hehe the ones that edit progression tables at least, since the new classes came out.

Edited by NocturnalTrance, 20 December 2018 - 03:46 AM.


#8
Harpagornis

Harpagornis

    (5) Thaumaturgist

  • Members
  • 528 posts

Oh, you are right... but who cares about the missing Ancient Table if he can play a constantly shifting Beast that smashes everything into the ground.... *cough*


  • Armakoir likes this

#9
zilbest

zilbest

    (2) Evoker

  • Members
  • 54 posts

Thank you for all of the replies! 






0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users